Bug 127351 - netplugd restart or reload fails
netplugd restart or reload fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 18:45 EDT by Derek Poon
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-12 10:56:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Poon 2004-07-06 18:45:56 EDT
In /etc/rc.d/init.d/netplugd...

  case "$1" in
    ...
    restart|reload)
          stop
          start
          ;;
    ...
  esac

Notice that the $0 is missing -- it should say

          $0 stop
          $0 start
Comment 1 Phil Knirsch 2004-07-12 10:56:44 EDT
Doh! Fixed in latest development version. Package net-tools-1.60-29
and later contain the fixed initscript.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.